Subject: Re: [1.8.0 RFC] push: start warning upcoming default change for push.default

From: Jonathan Nieder <[email-masked]>
Date: Mon, 14 Feb 2011 15:21:31 -0600

Jay Soffian wrote:
> On Mon, Feb 14, 2011 at 2:44 PM, Sverre Rabbelier <[email-masked]> wrote:
>> On Mon, Feb 14, 2011 at 19:53, Jay Soffian <[email-masked]> wrote:
>>> Junio C Hamano wrote:

>>>> +	warning("You do not have an explicit 'matching' setting for push.default");
>>>> +	warning("Your workflow will be broken at 1.8.0 unless you do so now");
[...]
>>>  push.default is unset; its implicit value is changing in 1.8.0. To squelch
>>>  this message, set push.default. See push.default in 'git help config'.
>>
>> This is worse than what Junio suggested because it does not tell you
>> what to set it to.
>
> Which was intentional on my part. If the message says what to set it
> to, the beginner will just go 'okay' and set it to that, in which
> case, what is the point of changing the default?

Wait, why isn't that a good thing?  The beginner only has to learn one
set of semantics.  My only complaint is that the warning does not
explain how to specify "squelch this warning and give me the future
semantics instead".

So maybe:

warning: You do not have an explicit 'matching' setting for push.default.
warning: Your workflow will be broken at 1.8.0 unless you do so now.
hint: See /usr/share/doc/git/RelNotes/1.7.5.txt for details.